# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Tue Feb 13 22:43:07 2024
# ------------------------------------------------

package:
  name: cython
  version: 3.0.8
source:
  sha256: 8333423d8fd5765e7cceea3a9985dd1e0a5dfeb2734629e1a2ed2d6233d39de6
  url: https://pypi.io/packages/source/c/cython/Cython-3.0.8.tar.gz
build:
  entry_points:
    - cygdb = Cython.Debugger.Cygdb:main
    - cython = Cython.Compiler.Main:setuptools_main
    - cythonize = Cython.Build.Cythonize:main
  number: '0'
  script: /croot/cython_1707864199727/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py39h998d150_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - ca-certificates 2023.12.12 hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h419075a_0
    - openssl 3.0.13 h2f4d8fa_0
    - pip 23.3.1 py39hd43f75c_0
    - python 3.9.18 h4bb2201_0
    - readline 8.2 h998d150_0
    - setuptools 68.2.2 py39hd43f75c_0
    - sqlite 3.41.2 h998d150_0
    - tk 8.6.12 h241ca14_0
    - tzdata 2023d h04d1e81_0
    - wheel 0.41.2 py39hd43f75c_0
    - xz 5.4.5 h998d150_0
    - zlib 1.2.13 h998d150_0
  run:
    - libgcc-ng >=11.2.0
    - python >=3.9,<3.10.0a0
test:
  commands:
    - pip check
    - cython --version
    - cython --help
    - cythonize --help
    - cygdb --help
  files:
    - fib.pyx
  requires:
    - gcc_linux-aarch64 11.2.0.*
    - pip
    - setuptools
about:
  description: 'Cython is an optimising static compiler for both the Python programming

    language and the extended Cython programming language. It makes writing C

    extensions for Python as easy as Python itself.

    '
  dev_url: https://github.com/cython/cython
  doc_url: https://cython.readthedocs.io/
  home: https://cython.org/
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: The Cython compiler for writing C extensions for the Python language
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 1459b869-a178-43cf-929c-08cf7341d519
  recipe-maintainers:
    - cbouss
  remote_url: git@github.com:AnacondaRecipes/cython-feedstock.git
  sha: 2c2115a5fea5129e5764de686ac6bb8ab48ca79b
